Bug 784952 - Review Request: ktp-filetransfer-handler - Telepathy file transfer handler
Review Request: ktp-filetransfer-handler - Telepathy file transfer handler
Product: Fedora
Classification: Fedora
Component: Package Review (Show other bugs)
All Linux
medium Severity medium
: ---
: ---
Assigned To: nucleo
Fedora Extras Quality Assurance
Depends On: 784945
Blocks: kde-reviews kde-telepathy-0.3
  Show dependency treegraph
Reported: 2012-01-26 13:57 EST by Rex Dieter
Modified: 2012-02-19 04:33 EST (History)
4 users (show)

See Also:
Fixed In Version:
Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of:
Last Closed: 2012-02-19 04:33:31 EST
Type: ---
Regression: ---
Mount Type: ---
Documentation: ---
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:
Cloudforms Team: ---
alekcejk: fedora‑review+
limburgher: fedora‑cvs+

Attachments (Terms of Use)

  None (edit)
Comment 1 nucleo 2012-02-07 11:34:22 EST
name: ok
summary: ok
license: ok
handling locale files: ok
Obsoletes/Provides: ok
rpmlint output: 0 errors, 0 warnings

Please remove unneeded BuildRequires: desktop-file-utils and telepathy-qt4-devel
Add AUTHORS NEWS README and maybe TODO in %doc
Comment 2 Rex Dieter 2012-02-09 13:53:51 EST
resetting reviewer
Comment 3 Rex Dieter 2012-02-09 14:05:44 EST
SRPM URL: http://rdieter.fedorapeople.org/rpms/ktp/ktp-filetransfer-handler-0.3.0-2.fc16.src.rpm

* Thu Feb 09 2012 Rex Dieter <rdieter@fedoraproject.org> 0.3.0-2
- drop BR: desktop-file-utils telepathy-qt4-devel
Comment 4 nucleo 2012-02-09 20:03:01 EST
Part of README file can be added in %description:

Telepathy-KDE file transfer handler. It basically does two thigs:
 - Send files to your contact
 - Receive files from your contact
Comment 5 nucleo 2012-02-09 22:53:49 EST
Hope this time not too short.

MUST Items:
+ rpmlint output
  $ $ rpmlint ktp-filetransfer-handler-0.3.0-2.fc16.i686.rpm ktp-filetransfer-handler-0.3.0-2.fc16.src.rpm ktp-filetransfer-handler-debuginfo-0.3.0-2.fc16.i686.rpm
  3 packages and 0 specfiles checked; 0 errors, 0 warnings.
+ named and versioned according to the Package Naming Guidelines.
  Package name match the upstream tarball name ktp-filetransfer-handler-0.3.0.tar.bz2
+ spec file name ktp-filetransfer-handler.spec matches base package name
+ complies with all the legal guidelines:
  + License: GPLv2+ valid, matches actual license (main.cpp GPLv2+, some headers LGPLv2+)
  + No known patent problems
  + No emulator, no firmware, no binary-only or prebuilt components
+ COPYING (GNU GENERAL PUBLIC LICENSE Version 2) packaged as %doc
+ source matches upstream:
  MD5: 8e0f2929e7bdeb0c9c364007f20ddbd0  ktp-filetransfer-handler-0.3.0.tar.bz2
  SHA1: dd409ecc375fa082165d8b9f539736894bd052da  ktp-filetransfer-handler-0.3.0.tar.bz2
  SHA256: 813d09ce5e5cd09e663d48e88fda974f4d222a3cf9862010788b639a294304d7  ktp-filetransfer-handler-0.3.0.tar.bz2
+ builds on at least one arch
  build from mock is in F16 kde-unstable repo
+ no known non-working arches, so no ExcludeArch needed
+ no missing BuildRequires (builds in mock)
+ locales are handled properly by using %find_lang %{name} --all-name --with-kde macro
+ ldconfig call not needed (no shared libraries in dynamic linker's default paths)
+ no duplicated system libraries
+ package not relocatable (no Prefix tag)
+ directory ownership correct (doesn't own directories owned by another package, owns all package-specific directories)
+ no duplicate files in %files
+ permissions correct, %defattr(-,root,root,-) not needed now, executables have executable permissions
+ macros used where possible (%{name}, %{version}, %{buildroot}, %{cmake_kde4}, %{_target_platform}, %{cmake_kde4}, %{_kde4_libexecdir}, %{_datadir})
+ no non-code content (only binary and texts files that binary needs)
+ no large documentation files, so no -doc package needed
+ no %doc files required at runtime
+ no header files which would need to be in a -devel subpackage
+ no static libraries, so no -static package needed
+ no devel symlinks which would need to be in a -devel subpackage
+ devel packages must require the base package (no -devel package)
+ no .la files
+ no .desktop file needed in /usr/share/applications for this KDE Telepathy internal module
+ desktop-file-validate call not needed
+ all filenames are valid UTF-8
+ other packaging guidelines:
  + complies with the Filesystem Hierarchy Standard (all files in %{_kde4_libexecdir} and %{_datadir})
  - proper changelog, tags, BuildRequires, Summary, Description
  + no non-UTF-8 characters
  + all relevant documentation included as %doc (COPYING AUTHORS NEWS README TODO)
  + RPM_OPT_FLAGS are used in %{cmake_kde4} macro
  + debuginfo package is valid (contains stripped symbols from ELF binary and source code related to it)
  + no rpaths (no check-rpaths error)
  + no configuration files, so %config guideline doesn't apply
  + no init scripts, so init script guideline doesn't apply
  + timestamps are preserved
  + %{?_smp_mflags} used
  + not a web application, so web application guideline doesn't apply
  + no conflicts

+ license already included upstream
+ no translations for description and summary provided by upstream
+ package builds in mock (built for kde-unstable)
- successfully tested the package functionality (no testing yet)
+ scriptlets are sane (no scriptlets needed)
+ subpackages other than devel should require the base package using a fully versioned dependency (no subpackages)
+ no .pc files, so "placement of .pc files" is irrelevant
+ no file dependencies
+ no binaries/scripts that needs man pages

So please add some useful description from README.
Comment 7 nucleo 2012-02-10 22:24:22 EST
Comment 8 Rex Dieter 2012-02-10 22:27:16 EST
New Package SCM Request
Package Name: ktp-filetransfer-handler
Short Description: Telepathy file transfer handler
Owners: jreznik rdieter
Branches: f16
Comment 9 Jon Ciesla 2012-02-11 14:36:03 EST
Git done (by process-git-requests).

Added f17.
Comment 10 Rex Dieter 2012-02-19 04:33:31 EST

Note You need to log in before you can comment on or make changes to this bug.